<?php
/*
    Flexisip Account Manager is a set of tools to manage SIP accounts.
    Copyright (C) 2020 Belledonne Communications SARL, All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

namespace App;

use Illuminate\Database\Eloquent\Factories\HasFactory;

class ProvisioningToken extends Consommable
{
    use HasFactory;

    protected ?string $configExpirationMinutesKey = 'provisioning_token_expiration_minutes';
    protected $casts = [
        'used' => 'boolean',
    ];

    public function consume()
    {
        $this->used = true;
        $this->save();
    }

    public function consumed(): bool
    {
        return $this->used == true;
    }
}
